Loading...
Searching...
No Matches
etl::private_crc::crc_table_entry< TAccumulator, Accumulator_Bits, Polynomial, Reflect, Index, 2U > Class Template Reference

## Static Public Attributes

static ETL_CONSTANT size_t | Shift_Bits = size_t(Accumulator_Bits - 2U)
static ETL_CONSTANT TAccumulator | Entry = Reflect ? TAccumulator(Index) : TAccumulator(TAccumulator(Index) << Shift_Bits)
static ETL_CONSTANT TAccumulator | value

## Member Data Documentation

## value

template<typename TAccumulator, size_t Accumulator_Bits, TAccumulator Polynomial, bool Reflect, size_t Index>

ETL_CONSTANT TAccumulator etl::private_crc::crc_table_entry< TAccumulator, Accumulator_Bits, Polynomial, Reflect, Index, 2U >::value

static

Initial value:
=
crc_partial_table_entry< TAccumulator, Accumulator_Bits, Polynomial, Reflect,
crc_partial_table_entry<TAccumulator, Accumulator_Bits, Polynomial, Reflect, Entry>::value>::value
etl::private_crc::crc_partial_table_entry
CRC Partial Table Entry.
Definition crc_implementation.h:57

The documentation for this class was generated from the following file:

- include/etl/private/crc_implementation.h